* {
    box-sizing: border-box;
}

body {
    font-family: Oswald, sans-serif;
    margin: 0;
    padding: 0;
    background-color:#dedede;
}

/*************************************************************/
/*Header Section*/

/*ფლექსით*/
/* .header-container {
    margin: 10px 0px;
    background-color: rgba(255,255,255,0.7);
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    padding: 5px 20px 0px;
} */

.header-container {
    width: 100%;
    margin: 10px 0px;
    display: grid;
    grid-template-columns: 8fr 1fr;
    justify-content: space-between;
    padding: 5px 20px 0px;
    background-color: rgba(255,255,255,0.8);
}

.header-container__item {
    display: flex;
    align-items: center;
    /* justify-content: center; */
    justify-content: flex-start;
    color: black;
}

.menu__img {
    margin-right: 20px;
    width: 180px;
}

.menu__list {
    padding: 0;
    margin: 0;
    display: flex;
}

.menu__list-item {
    padding: 0;
    margin: 0;
    list-style-type: none;
    text-transform: uppercase;
    font-size: 20px;
    padding: 20px;
    color:#4f4f4f;
    cursor: pointer;
}

.menu__list-item--blue:hover {
    color:#273257;
}

.menu__list-item--green:hover {
    color: teal;
}

.menu__list-item--pink:hover {
    color: salmon;
}

.menu__list-item--orange:hover {
    color: orange;
}


.menu__list-item--blue {
    border-bottom: 4px solid #273257;
}

.menu__list-item--green {
    border-bottom: 4px solid teal;
}

.menu__list-item--pink {
    border-bottom: 4px solid salmon;
}

.menu__list-item--orange {
    border-bottom: 4px solid orange;
}

.header-container__item--burger {
    /* justify-self: end; */
    justify-self: end;
    display: flex;
    align-items: center;
}
.burger__item {
    opacity: 0.6;
    padding: 0px 15px;
    cursor: pointer;
}

.burger__item:hover {
    opacity: 1;
}

/*************************************************************/
/*Main Section*/

.main {
    max-width: 1901px;
    margin:auto;
    padding: 20px;
}

/*ფლექსით*/
/* .top-container {
    background-color: #fff;
    display: flex;
    padding: 12px;
    justify-content: space-between;
    align-items: center;
} */

.top-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    background-color:white;
    justify-content: space-between;
    padding: 15px;
}

.top-container__item--hidden {
    display: none;
}

.top-container__item--services {
    justify-self: end;

    display: flex;
}

.wall__button{
    font-family: Oswald, sans-serif;
    font-size: 22px;
    border-style: none;
    padding: 15px;
    text-transform: uppercase;
    color: #fff;
    background-color:#999797;
    border-bottom: 5px solid #4f4f4f;
    cursor: pointer;
}

.services__button {
    margin-right: 5px;
    margin-left: 5px;
    font-family: Oswald, sans-serif;
    font-size: 18px;
    border-style: none;
    padding: 18px;
    text-transform: uppercase;
    color: #fff;
    cursor: pointer;
}

.services__button--cyan {
    background-color:#4392ba;
}
.services__button--blue{
    background-color:#273257;
}
.services__button--green {
    background-color: #41c460;
}
.services__button--lightgreen {
    background-color: #6ade86;
}
.services__button--orange {
    background-color: orange;
}

.main-container {
    display: grid;
    background-color: #fff;
    
    grid-template-columns: repeat(6, 1fr);
    /* grid-template-columns: repeat(auto-fit, minmax(200px, 1fr)); */
    grid-auto-rows: minmax(200px, auto);
    grid-gap: 10px;
    border-right: 15px solid #fff;
    border-left: 15px solid #fff;
    border-bottom: 15px solid #fff;
}

.main-container__item--small {
    background-color: lightblue;
}

.main-container__item--large {
    grid-row: span 2;
    grid-column: span 2;

}

.main-container__item--image {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.main-container__item--mountains {
    background-image: url('Images/mountains-img.png');
}

.main-container__item--chocolate {
    background-image: url('Images/chocolate-img.jpg');
}

.main-container__item--tools {
    background-image: url('Images/tools-img.jpg');
}

.main-container__item--table {
    background-image: url('Images/table-img.jpg');
}

.main-container__item--flower {
    background-image: url('Images/flower-img.jpg');
}

.main-container__item--clouds {
    background-image: url('Images/clouds-img.jpg');
}

.main-container__item--bulb {
    background-image: url('Images/bulb-img.jpg');
}

.main-container__item--origami {
    background-image: url('Images/origami-img.jpg');
}
.main-container__item--radio {
    background-image: url('Images/radio-img.jpg');
}
.main-container__item--poster, .main-container__item--poster2 {
    background-image: url('Images/poster-img.jpg');
}

.main-container__item--chair {
    background-image: url('Images/chair-img.jpg');
}
.main-container__item--hills {
    background-image: url('Images/hills-img.jpg');
}
.main-container__item--ufo {
    background-image: url('Images/ufo-img.png');
}

.main-container__item--computer {
    background-image: url('Images/computer-img.jpg');
}
.main-container__item--clock {
    background-image: url('Images/clock-img.jpg');
}
.main-container__item--leaves {
    background-image: url('Images/leaves-img.jpg');
}
.main-container__item--bottle {
    background-image: url('Images/bottle-img.jpg');
}
.main-container__item--dino {
    background-image: url('Images/dino-img.jpg');
}
.main-container__item--a4, .main-container__item--paper {
    background-image: url('Images/a4-img.jpg');
}
.main-container__item--portrait {
    background-image: url('Images/portrait-img.jpg');
}
.main-container__item--butterfly {
    background-image: url('Images/butterfly-img.jpg');
}
.main-container__item--quote {
    background-image: url('Images/quote-img.jpg');
}
.main-container__item--flask {
    background-image: url('Images/flask-img.jpg');
}
.main-container__item--box {
    background-image: url('Images/box-img.jpg');
}
.main-container__item--quote {
    background-image: url('Images/quote-img.jpg');
}
.main-container__item--frames {
    background-image: url('Images/frames-img.jpg');
}
.main-container__item--lamp {
    background-image: url('Images/lamp-img.jpeg');
}
.main-container__item--figure {
    background-image: url('Images/shape-img.jpg');
}
.main-container__item--clover {
    background-image: url('Images/clover-img.jpg');
}
.main-container__item--designframe {
    background-image: url('Images/design-img.jpg');
}
.main-container__item--rhino {
    background-image: url('Images/rhino-img.jpg');
}
.main-container__item--skateboard {
    background-image: url('Images/skateboard-img.jpg');
}
.main-container__item--armchair {
    background-image: url('Images/armchair-img.jpg');
}
.main-container__item--soundcloud {
    background-image: url('Images/souncloud-img.png');
}
.main-container__item--youtube {
    background-image: url('Images/youtube-img.jpg');
}

.main-container__item--content {
    /* display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; */

    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    font-size: 18px;
    text-align: center;
}

.main-content__item--primary {
    font-weight: bold;
    align-self: end;
    font-size: 22px;
}

.main-content__item--secondary {
    align-self: start;
}

.main-content__item {
    padding: 10px;
}

.main-content__button {
    font-family: Oswald, sans-serif;
    color: #fff;
    text-transform: uppercase;
    padding: 10px;
    background-color:#4f4f4f;
    border-style: none;
}

.main-container__item--randomize {
    background-color: #e8e8e8;
}
.main-container__item--skills {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 10px;
    background-color: #e8e8e8;
    border: 10px solid rgba(255,255,255,0.1);
}

.main-container__item--unlimited {
    background-color: black;
    color: #fff;
}
.main-container__item--affonting,.main-container__item--seeing, .main-container__item--moments, .main-container__item--acuteness, .main-container__item--especially {
    color: #fff;
    background-color: #6ade86;
}
.main-container__item--situation, .main-container__item--existence {
    color: #fff;
    background-color: orange;
}
.main-container__item--few, .main-container__item--nan {
    color: #fff;
    background-color: teal;
}
.main-container__item--perceived {
    color: #fff;
    background-color: #4392ba;
}
.main-container__item--gay, .main-container__item--perpetual, .main-container__item--gayone {
    color: #fff;
    background-color: #273257;
}
.main-container__item--her {
    color: #fff;
    background-color:gray;
}
.main-container__item--continued {
    color: #fff;
    background-color: salmon;
}
.main-container__item--stats {
    background-color: #4392ba;
}
.main-container__item--vid {
    background-color: salmon;
}
.main-container__item--social {
    background-color: yellow;
}

.main-content__item--hereweare {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: flex-end;
    padding: 10px;
    background-color: #e8e8e8;
}

.main-content__hereweare {
    font-size: 20px;
    text-transform: uppercase;
    color: #fff;
    padding: 10px;
    background-color: rgba(0, 0, 139, 0.377);
}

.main-container__stats {
    height: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}
.stats__item--orange {
    background-color: orange;
}

.stats__item--blue {
    background-color: #273257;
}
.stats__item--cyan{
    background-color: lightblue;
}

.stats__item--red{
    background-color: #e3563d;
}
.stats__item--lightblue{
    background-color:#4392ba;
}

.vid__iframe {
    border-style: none;
}


.bottom-container {
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 10px;
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-auto-rows: minmax(300px, auto);
    grid-gap: 10px;
}

.bottom-container__item {
    background-color: black;
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 8px;
}

.bottom-container__text {
    text-transform: uppercase;
    color: #fff;
    padding: 5px;
    margin-bottom: 8px;
    font-size: 18px;
}

.bottom-container__text--slider {
    border-bottom: 5px solid grey;
}
.bottom-container__text--skills {
    border-bottom: 5px solid skyblue;
}
.bottom-container__text--map {
    border-bottom: 5px solid orange;
}
.bottom-container__text--message {
    border-bottom: 5px solid salmon;
}
.bottom-container__text--social {
    border-bottom: 5px solid #6ade86;
}
.bottom-container__text--stats {
    border-bottom: 5px solid #4392ba;
}

.bottom-container__content {
    flex: 5;
    background-color: rgba(255,255,255,0.2);
}


.bottom-container__content--slider {
    /*ფლექსით*/
    /* display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center; */

    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.slider__item {
    color: #fff;
}

.slider__item--heading {
    align-self: end;
}

.slider__item--text {
    align-self: start;
}

.slider__heading {
    font-size: 22px;
    margin: 2px;
}

.bottom-container__content--skills, .bottom-container__content--social {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 10px;
    background-color: rgba(255,255,255,0.5);
    border: 10px solid rgba(255,255,255,0.1);
}

.skills__item {
    color: #fff;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    padding: 5px;
}

.skills__item--css {
    background-color: orange;
}
.skills__item--wordpress {
    background-color: #41c460;
}
.skills__item--php {
    background-color: salmon;
}
.skills__item--jquery {
    background-color: #576699;
}

.bottom-container__content--map {
    /*ფლექსით*/
    /* display: flex;
    align-items: flex-end;
    padding: 10px; */

    display: grid;
    grid-template-columns: 1fr;
    justify-content: start;
    align-items: end;
    padding: 10px;
}

.map__item {
    font-size: 20px;
    text-transform: uppercase;
    color: #fff;
    padding: 10px;
    background-color: rgba(0, 0, 139, 0.377);
    width: 120px;
}


.bottom-container__content--message {
    /*ფლექსით*/
    /* display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center; */

    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;
    align-items: center;
    text-align: center;

}
.message__item {
    padding: 10px;
}

.message__item--heading {
    align-self: end;
}
.message__item--button {
    align-self: start;
}
.message__heading {
    text-transform: uppercase;
    color: #fff;
    font-size: 22px;
    margin: 2px;
}

.message__button {
    font-family: Oswald, sans-serif;
    border: 4px solid #fff;
    padding: 8px;
    text-transform: uppercase;
    background-color: transparent;
    color: #fff;
}

.social__item {
    color: #fff;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
}

.social__item--facebook {
    background-color: #273257;
}
.social__item--twitter {
    background-color: lightskyblue;
}
.social__item--google {
    background-color: #e3563d;
}
.social__item--linkedin {
    background-color: #4392ba;
}

.bottom-container__content--stats {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 10px;
    background-color: rgba(255,255,255,0.2);
}

.stats__item {
    color: #fff;
    font-size: 20px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}



/**************************************************************/
/*Footer Section*/

.footer {
    width: 100%;
    background-color: black;
}

/*ფლექსით*/
/* .footer-container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
} */

.footer-container {
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    justify-content: space-between;
    align-items: center;
}

.footer-contanier--copyright {
    justify-self: start;
    text-align: center;
    color: #fff;
    padding: 15px;
}

.footer-contanier--navigation {
    justify-self: end;
}
.footer-contanier--burger {
    justify-self: end;
    padding: 15px;
}

.navigation__list {
    padding: 0;
    margin: 0;
    display: flex;
}

.navigation__list-item {
    padding: 0;
    margin: 0;
    list-style-type: none;
    text-transform: uppercase;
    font-size: 18px;
    padding: 20px;
    color:#fff;
    cursor: pointer;
}

.navigation__list-item--darkblue:hover {
    color: #273257;
}

.navigation__list-item--green:hover {
    color: #41c460;
}

.navigation__list-item--lightgreen:hover {
    color: #6ade86;
}

.navigation__list-item--orange:hover {
    color: orange;
}



.navigation__list-item--darkblue {
    border-bottom: 4px solid #273257;
}

.navigation__list-item--green {
    border-bottom: 4px solid #41c460;
}

.navigation__list-item--lightgreen {
    border-bottom: 4px solid #6ade86;
}

.navigation__list-item--orange {
    border-bottom: 4px solid orange;
}

.burger__arrow {
    cursor: pointer;
}


@media screen and (min-width: 1601px) and (max-width: 1900px) {
    .main-container {
        grid-template-columns: repeat(5, 1fr);
    }

    .main-container__item--affonting {
        grid-row: span 2;
    }
    .main-container__item--poster {
        grid-row: span 3;
    }
    .main-container__item--vid {
        grid-row: span 2;
    }
    .main-container__item--especially{
        grid-column: span 2;
    }
}

@media screen and (min-width: 1301px) and (max-width: 1600px) {
    .main-container {
        grid-template-columns: repeat(4, 1fr);
    }

    .bottom-container {
        grid-template-columns: repeat(6, 1fr);
    }

    .bottom-container__item {
        grid-column: span 2;
    }
}

@media screen and (min-width: 1001px) and (max-width: 1300px) {

    .main-container {
        grid-template-columns: repeat(3, 1fr);
    }
    .main-container__item--clouds {
        grid-row: 3 /4;
    }
    .main-container__item--tools {
        grid-row: 3 / 5;
    }
    .main-container__item--situation {
        grid-row: 4 / 5;
    }
    .main-container__item--existence{
        grid-row: 5 / 6;
    }
    .main-container__item--table{
        grid-row: 5 / 7;
    }
    .main-container__item--bulb{
        grid-row: 6 / 7;
    }
    .main-container__item--flower {
        grid-row: 7/9;
    }
    .main-container__item--origami {
        grid-row: 9/11;
    }
    .main-container__item--few{
        grid-row: 7 / 8;
    }
    .main-container__item--perceived {
        grid-row: 8/9;
    }

    .main-container__item--gay {
        grid-row: 9/10;
    }

    .main-container__item--poster {
        grid-row: 10/11;
    }
    .main-container__item--radio {
        grid-row: 11/13;
    }

    .main-container__item--chair {
        grid-row: 11/12;
    }
    .main-container__item--hills {
        grid-row: 12/13;
    }
    .main-content__hereweare {
        grid-row: 13/15;
        grid-column: 1 / 3;
    }
    .main-container__item--ufo {
        grid-row: 15/17;
    }
    .main-container__item--seeing {
        grid-row: 13/14;
        grid-column: 3/4;
    }
    .main-container__item--perpetual {
        grid-row: 14/15;
        grid-column: 3/4;
    } 

    .main-container__item--moments {
        grid-row: 15/16;
    }

    .main-container__item--clock {
        grid-row: 16/17;
    }

    .main-container__item--soundcloud {
        grid-row: span 2;
    }

    .main-container__item--poster2 {
        grid-row: 30 /31;
        grid-column: 3/4;
    }

    .main-container__item--especially {
        grid-column: 3/4;
        grid-row: 32/33;
    }

    .bottom-container {
        grid-template-columns: repeat(6, 1fr);
    }

    .bottom-container__item {
        grid-column: span 2;
    }

    .menu__list-item--pink {
        display: none;
    }

    .footer-container {
        grid-template-columns: 1fr 2fr;
        padding: 10px;
    }
    .footer-contanier--burger {
        display: none;
    }

}


@media screen and (min-width: 701px) and (max-width: 1000px) {

    .main-container {
        grid-template-columns: repeat(2, 1fr);
        grid-auto-rows: minmax(300px, auto);
    }

    .menu__list-item--pink, .menu__list-item--green {
        display: none;
    } 

    .menu__item--logo {
        display: none;
    }

    .header-container__item {
        justify-content: center;
    }
    .bottom-container {
        grid-template-columns: repeat(6, 1fr);
    }

    .bottom-container__item {
        grid-column: span 3;
    }

    .footer-container {
        grid-template-columns: 1fr;
    }

    .footer-contanier--copyright {
        justify-self: center;
    }

    .footer-contanier--navigation {
        display: none;
    }
    .footer-contanier--burger {
        display: none;
    }
}

@media screen and (max-width: 700px) {
    .main-container {
        grid-template-columns: repeat(1, 1fr);
        grid-auto-rows: minmax(300px, auto);
    } 

    .main-container__item--large {
        grid-column: span 1;
        grid-row: span 1;
    }

    .header-container__item {
        justify-content: center;
    }
    .header-container {
        grid-template-columns: 1fr;
    }
    
    .menu__item--logo {
        display: none;
    }
    .header-container__item--burger {
        display: none;
    }

    .menu__list-item--pink, .menu__list-item--green {
        display: none;
    } 


    .top-container__item--services {
        display: none;
    }
    .top-container__item--hidden {
        justify-self: end;
        align-self: center;
        display: inline-block;
    }

    .hidden__img {
        padding-right: 5px;
    }

    .main-container {
        border-top: 15px solid #fff;
    }

    .bottom-container {
        grid-template-columns: repeat(1, 1fr);
    }

    .bottom-container__item {
        grid-column: span 1;
    }

    .footer-container {
        grid-template-columns: 1fr;
    }

    .footer-contanier--copyright {
        justify-self: center;
    }

    .footer-contanier--navigation {
        display: none;
    }
    .footer-contanier--burger {
        display: none;
    }
}

@media screen and (max-width: 600px) {

    .menu__list-item--orange {
        display: none;
    } 
}

@media screen and (max-width: 349px) {
    .header {
        display: none;
    }
}

